import Vue from 'vue'
import Vuex from 'vuex'
import workProgress from '@/components/core/work-progress/store'

Vue.use(Vuex)

export const mutations = {
  setUser(state, user) {
    state.user = user
  },
}

export const getters = {
  isGuest(state) {
    return state.user && state.user.roles.indexOf('ROLE_USER') == -1
  },
}

export const actions = {
  login(context, user) {
    context.commit('setUser', user)
  },
  logout(context) {
    context.commit('setUser', null)
  },
}

export default new Vuex.Store({
  state: {
    user: null,
  },
  mutations,
  getters,
  actions,
  modules: {
    workProgress,
  },
})
